Update a card
curl --request PATCH \
--url https://sandbox.apocor.ai/v1/cards/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "Travel card",
"spend_limit_cents": 100000
}
'import requests
url = "https://sandbox.apocor.ai/v1/cards/{id}"
payload = {
"label": "Travel card",
"spend_limit_cents": 100000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: 'Travel card', spend_limit_cents: 100000})
};
fetch('https://sandbox.apocor.ai/v1/cards/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "card_abc123",
"label": "Travel card",
"spend_limit_cents": 100000
}
}Cards — lifecycle
Update a card
Updates the card label and/or monthly spend limit on the issuer.
PATCH
/
v1
/
cards
/
{id}
Update a card
Authorizations
Bearer access token obtained from POST /v1/oauth/token using your Apocor API key.
Path Parameters
Resource identifier.
Body
application/json
Response
200 - application/json
Updated card.
An issued card. The full PAN is never returned — use secure-details for a reveal token.
Show child attributes
Show child attributes
⌘I